FreeBSD : mysql -- empty bit-string literal denial of service (66a770b4-e008-11dd-a765-0030843d3802)

Medium Nessus Plugin ID 35337


The remote FreeBSD host is missing one or more security-related updates.


MySQL reports :

The vulnerability is caused due to an error when processing an empty bit-string literal and can be exploited to crash the server via a specially crafted SQL statement.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 35337

File Name: freebsd_pkg_66a770b4e00811dda7650030843d3802.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2009/01/12

Modified: 2013/08/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mysql-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2009/01/11

Vulnerability Publication Date: 2008/09/11

Reference Information

CVE: CVE-2008-3963

Secunia: 31769

CWE: 134